import { map, split, replace, compose, trim } from "ramda";

function colorIsNotTransparent(color) {
  const layers = compose(
    map(trim),
    split(","),
    replace(")", ""),
    replace("rgba(", "")
  )(color);

  return Number(layers?.[3]) > 0;
}

export function isValidColor(string) {
  return string && string !== "transparent" && colorIsNotTransparent(string);
}
