import { showDetails } from "..";

describe("showDetails", () => {
  it("should return false if isPip is true", () => {
    const result = showDetails({
      isMobile: true,
      isInline: true,
      isDocked: false,
      isPip: true,
    });

    expect(result).toBe(false);
  });

  it("should return false if isDocked is true", () => {
    const result = showDetails({
      isMobile: true,
      isInline: true,
      isDocked: true,
      isPip: false,
    });

    expect(result).toBe(false);
  });

  it("should return true if isMobile is true and isInline is true", () => {
    const result = showDetails({
      isMobile: true,
      isInline: true,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(true);
  });

  it("should return false if isMobile is true and isInline is false", () => {
    const result = showDetails({
      isMobile: true,
      isInline: false,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(false);
  });

  it("should return true if isMobile is false", () => {
    const result = showDetails({
      isMobile: false,
      isInline: true,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(true);
  });

  it("should return true if isMobile is false and isInline is false", () => {
    const result = showDetails({
      isMobile: false,
      isInline: false,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(true);
  });

  it("should return false if all properties are false except isMobile", () => {
    const result = showDetails({
      isMobile: true,
      isInline: false,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(false);
  });

  it("should return true if all properties are false except isInline", () => {
    const result = showDetails({
      isMobile: false,
      isInline: true,
      isDocked: false,
      isPip: false,
    });

    expect(result).toBe(true);
  });
});
